<?php

namespace LT\AvatarOnRegistration;

trait Legacy
{
    protected function copyOptionValue($from, $to)
    {
        $option = \XF::app()->finder('XF:Option')
            ->where('option_id', '=', $from)
            ->fetchOne();

        if (!$option)
        {
            return;
        }

        \XF::app()->repository('XF:Option')->updateOption($to, $option->option_value);
    }

    protected function disableLegacyAddOn($addOnId)
    {
        $oldAddOn = \XF::app()->em()->find('XF:AddOn', $addOnId);

        if (!$oldAddOn)
        {
            return;
        }

        $oldAddOn->active = false;
        $oldAddOn->saveIfChanged();
    }
}